#include <StopWatch.h> //Library used to calculate time passed
#include <PromulgateBig.h> //Library for the API
#include <Streaming.h> //Library the Erin mentionned might be important
#include <Servo.h> 

 Servo myservo_1, myservo_2; 
 StopWatch MySW; //Creates a stopwatch object to calculate time
 char c[15]; //Array that stores the command from the remote
 int increment = 0; //Variable used later to increment a loop
 int elapsed_time = 0; //Variable used to store the time held
 
void setup() {
  Serial.begin(9600);
   myservo_1.attach(12);
   myservo_2.attach(11);
  } 
 
 void loop(){
  
  if (Serial.available() >= 6){ //You have to turn press the button twice for it to start
    delay(1500);
    c[0] = Serial.read();
    while (c[increment-1] != '!'){ //Keeps storing the command until the delimiter is reached
      c[increment] = Serial.read();
      increment++;
    }
    increment = 1;
  }

  if (c[1] == 'G' && c[2] == '1'){ // Goes up if you press Button 2 twice (1 and 0)
    myservo_1.write(35);
  }

  if (c[1] == 'Y' && c[2] == '1'){ // Goes down if you press Button 3 twice (1 and 0)
    myservo_1.write(90);
  }

  if (c[1] == 'P' && c[2] == '1'){ // Cuts the grass if you press Button 2 twice (1 and 0)
    myservo_2.write(120);                    // Keeps cutting until you press the button #2 or #3 twice to go up or down, respectively
    MySW.start(); //Starts timing time
    while(elapsed_time < 1000){ //Loops keeps going until 1 second passed
      elapsed_time = MySW.elapsed();
    }
    MySW.stop(); //Stops once time has passed
    if (elapsed_time >= 1000){ //Loops keeps going until 1 second passed
      myservo_2.write(60);
      MySW.reset(); //Resets the counter 
      elapsed_time = 0;
    }
    MySW.start(); //Loops keeps going until 1 second passed    
    while(elapsed_time < 1000){
      elapsed_time = MySW.elapsed();
    }
    MySW.reset(); //Resets for so that the cutting keeps happening for the next Arduino loop
    elapsed_time = 0;//Resets for so that the cutting keeps happening for the next Arduino loop
  }
   
 }
